Returns the available regions (states/provinces) for a given country code as a JSON array of region names.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/country/region/values.do
Returns the available regions (states/provinces) for a given country code as a JSON array of region names. The country code must be a valid ISO alpha-2 code. These region names can be used when creating a location targeting rule. Requires UPDATE permission on the placement's site inventory and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/country/region/values.do?countryCode=US");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());